Redeliver
Re-enqueue a failed/dead delivery for another attempt. Resets the retry counter.
POST
/api/projects/{id}/webhooks/deliveries/{deliveryId}/redeliver
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"deliveryId
string
required
path
Responses
200
Re-enqueued
application/jsonok
boolean
REQUIRED
401
Unauthenticated
404
Not found
curl -X POST 'https://motioness.com/api/projects/abc123/webhooks/deliveries/string/redeliver'
const response = await fetch('https://motioness.com/api/projects/abc123/webhooks/deliveries/string/redeliver', { method: 'POST'});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/projects/abc123/webhooks/deliveries/string/redeliver')print(response.json())
200
Response
{ "ok": true}
API Playground
Try this endpoint
POST
/api/projects/{id}/webhooks/deliveries/{deliveryId}/redeliver